Requests - Update Requests Request Name
Update a symbol request by request name.
PATCH https://artifacts.dev.azure.com/{organization}/_apis/symbol/requests?requestName={requestName}&api-version=7.1
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
organization
|
path | True |
string |
The name of the Azure DevOps organization. |
|
api-version
|
query | True |
string |
Version of the API to use. This should be set to '7.1' to use this version of the api. |
|
request
|
query | True |
string |
The symbol request name. |
Request Body
| Name | Type | Description |
|---|---|---|
| createdBy |
string (uuid) |
The ID of user who created this item. Optional. |
| createdDate |
string (date-time) |
The date time when this item is created. Optional. |
| description |
string |
An optional human-facing description. |
| domainId |
The Domain Id where this request lives. This property should not be null. |
|
| expirationDate |
string (date-time) |
An optional expiration date for the request. The request will become inaccessible and get deleted after the date, regardless of its status. On an HTTP POST, if expiration date is null/missing, the server will assign a default expiration data (30 days unless overwridden in the registry at the account level). On PATCH, if expiration date is null/missing, the behavior is to not change whatever the request's current expiration date is. |
| id |
string |
An identifier for this item. Optional. |
| isChunked |
boolean |
Indicates if request should be chunk dedup |
| name |
string |
A human-facing name for the request. Required on POST, ignored on PATCH. |
| size |
integer (int64) |
The total Size for this request. |
| status |
The status for this request. |
|
| storageETag |
string |
An opaque ETag used to synchronize with the version stored at server end. Optional. |
| url |
string |
A URI which can be used to retrieve this item in its raw format. Optional. Note this is distinguished from other URIs that are present in a derived resource. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Successfully updated the symbol request as specified by the request name. |
|
| 404 Not Found |
The symbol request as specified by the request name was not found. |
|
| Other Status Codes |
The symbol request as specified by the request name could not be updated due to a server-side conflict, for exmaple, an unmatched etag. |
Security
oauth2
Type:
oauth2
Flow:
accessCode
Authorization URL:
https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
Token URL:
https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer
Scopes
| Name | Description |
|---|---|
| vso.symbols_write | Grants the ability to read and write symbols. |
Definitions
| Name | Description |
|---|---|
|
IDomain |
|
| Request |
Symbol request. |
|
Request |
The status for this request. |
IDomainId
Request
Symbol request.
| Name | Type | Description |
|---|---|---|
| createdBy |
string (uuid) |
The ID of user who created this item. Optional. |
| createdDate |
string (date-time) |
The date time when this item is created. Optional. |
| description |
string |
An optional human-facing description. |
| domainId |
The Domain Id where this request lives. This property should not be null. |
|
| expirationDate |
string (date-time) |
An optional expiration date for the request. The request will become inaccessible and get deleted after the date, regardless of its status. On an HTTP POST, if expiration date is null/missing, the server will assign a default expiration data (30 days unless overwridden in the registry at the account level). On PATCH, if expiration date is null/missing, the behavior is to not change whatever the request's current expiration date is. |
| id |
string |
An identifier for this item. Optional. |
| isChunked |
boolean |
Indicates if request should be chunk dedup |
| name |
string |
A human-facing name for the request. Required on POST, ignored on PATCH. |
| size |
integer (int64) |
The total Size for this request. |
| status |
The status for this request. |
|
| storageETag |
string |
An opaque ETag used to synchronize with the version stored at server end. Optional. |
| url |
string |
A URI which can be used to retrieve this item in its raw format. Optional. Note this is distinguished from other URIs that are present in a derived resource. |
RequestStatus
The status for this request.
| Value | Description |
|---|---|
| none |
The status of this request is undefined or irrelevant in the current context. |
| created |
The request is created, and is open to accepting debug entries. |
| sealed |
The request is sealed. No more debug entries can be added to it. |
| unavailable |
The request is no longer available, possibly deleted. |